#include <UnsetDecorCommand.h>


UnsetDecorCommand :: UnsetDecorCommand() :
	name("UnsetDecor")
{
}


string UnsetDecorCommand :: execute(Projection *projection, Profile *profile)
{
	Gnuplot * gplt = projection->projection();

	profile->decoration(false);

	gplt->cmd ("unset title");
	gplt->cmd ("unset xlabel");
	gplt->cmd ("unset grid");
	gplt->cmd ("unset xtics");
	gplt->cmd ("unset ytics");

	return "";
}


